package com.sd.business.entity.production.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.sd.business.entity.production.po.ProductionExceedReceiveSku;
import lombok.Getter;
import lombok.Setter;

/**
 * 生产超领sku列表查询返回值实体
 *
 * @author
 * @since 2023-11-08
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class ProductionExceedReceiveSkuVo extends ProductionExceedReceiveSku {

    /**
     * 订单号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "订单号", index = 0)
    private String orderCode;

    /**
     * 万里牛订单号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "万里牛订单号", index = 1)
    private String orderWlnCode;

    /**
     * sku规格品号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "sku规格品号", index = 2)
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "sku规格品名", index = 3)
    private String skuSpecName;

    /**
     * 超领类型值 1制作损坏 2裸垫质量不良 3生产错误 4丢件 5补发
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "超领类型", index = 4)
    private String typeValue;

    /**
     * 仓库名称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "入仓名称", index = 5)
    private String warehouseName;

    /**
     * 超领时间
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "超领时间", index = 7)
    private String exceedReceiveTime;
}
