package com.sd.business.scheduled;

import com.sd.business.service.inventory.InventoryFinishedOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Profile;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 成品库定时任务
 */
@Profile({"test", "prod"})
@Component
public class InventoryFinishedTask {

    @Autowired
    private InventoryFinishedOrderService inventoryFinishedOrderService;

    /**
     * 无理由订单成品入库
     * 将前一天无理由订单成品入库数据修改为无来源可出库数据
     */
    @Scheduled(cron = "0 0 0 * * ?")
    public void syncYesterdayNoReasonOrderInventory() {
        inventoryFinishedOrderService.syncYesterdayNoReasonOrderInventory();
    }
}
