package com.sd.business.service.bom;

import com.sd.business.entity.bom.dto.BomSpecPriceQueryDto;
import com.sd.business.entity.bom.po.BomSpecPriceConfig;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.bom.vo.BomSpecPriceConfigVo;
import com.sd.business.entity.bom.dto.BomSpecPriceConfigSelectDto;
import com.sd.business.entity.bom.dto.BomSpecPriceConfigDto;
import com.sd.business.entity.bom.vo.BomSpecPriceDetailsVo;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * bom规格价格配置 服务类
 * </p>
 *
 * @author 
 * @since 2023-12-25
 */
public interface BomSpecPriceConfigService extends BaseService<BomSpecPriceConfig> {

    /**
     * bom规格价格配置列表
     */
    List<BomSpecPriceConfigVo> getList(BomSpecPriceConfigSelectDto dto);

    /**
     * bom规格价格配置新增
     */
    void add(BomSpecPriceConfigDto bomSpecPriceConfigDto);

    /**
     * bom规格价格配置编辑
     */
    void edit(BomSpecPriceConfigDto bomSpecPriceConfigDto);

    /**
     * bom规格价格配置删除
     */
    void delete(Long id);

    /**
     * 获取裸垫价格
     * @param dto
     */
    BomSpecPriceDetailsVo getBomSpecPrice(BomSpecPriceQueryDto dto);

}
